Page MenuHomePhabricator

Support ESI for ResourceLoader
Open, MediumPublic

Description

Roan and Trevor are doing great work on the resource loader to
combine/concatenate resources served from bits in as few, and as small requests
as possible. To do this, they introduce an intermediate step however, the
request of a "manifest" which determines which versions of styles/js to load.
Unfortunately this introduces an extra round trip before the resources can be
loaded, which wouldn't be there if the manifest could be part of the html
(article) page.
With the current caching system we cannot really do that since it would cause
all cache misses, however both Squid and Varnish support ESI:
http://en.wikipedia.org/wiki/Edge_Side_Includes
In this way we could just set a very low ttl on the manifest part of the
article page, and dynamically combine the page at the Squid or Varnish level.

Details

Reference
rt162

Related Objects

Event Timeline

rtimport raised the priority of this task from to Medium.Dec 18 2014, 12:46 AM
rtimport added a project: ops-core.
rtimport set Reference to rt162.
mark created this task.Sep 2 2010, 12:29 AM
mark added a comment.Jan 18 2011, 9:20 PM

Turning on ESI is optional for ResourceLoader in 1.17, but would help with
load. However, it's also a significant infrastructure change.
--
Mark Bergsma <mark at wikimedia>
Operations Engineering Program Manager
Wikimedia Foundation

mark added a comment.Jan 27 2011, 12:09 PM

Merged into ticket #162 by mark

mark added a comment.Jan 27 2011, 12:09 PM

Merged into ticket #162 by mark

faidon merged a task: Restricted Task.Dec 18 2014, 4:30 PM
Krinkle renamed this task from Support ESI for the Resource Loader to Support ESI for ResourceLoader.Jul 14 2015, 12:01 AM
Krinkle set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 14 2015, 12:01 AM
fgiunchedi added a subscriber: fgiunchedi.

Copying Traffic since it'd affect Varnish if we choose to do it

fgiunchedi changed the visibility from "WMF-NDA (Project)" to "Public (No Login Required)".Dec 1 2016, 12:58 AM
fgiunchedi changed the edit policy from "WMF-NDA (Project)" to "All Users".
ema moved this task from Triage to Caching on the Traffic board.Dec 5 2016, 11:44 AM